Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/CordeauFormat/CordeauFormatInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/CordeauFormat/CordeauFormatInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/CordeauFormat/CordeauFormatInstanceProvider.cs	(revision 10538)
@@ -23,6 +23,6 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class CordeauFormatInstanceProvider : VRPInstanceProvider<MDCVRPTWData> {
-    protected override MDCVRPTWData LoadData(Stream stream) {
+  public abstract class CordeauFormatInstanceProvider : VRPInstanceProvider {
+    protected override VRPData LoadData(Stream stream) {
       return LoadInstance(new CordeauParser(stream));
     }
@@ -31,5 +31,5 @@
       get { return true; }
     }
-    public override MDCVRPTWData ImportData(string path) {
+    public override VRPData ImportData(string path) {
       return LoadInstance(new CordeauParser(path));
     }
Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/GoldenFormat/GoldenFormatInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/GoldenFormat/GoldenFormatInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/GoldenFormat/GoldenFormatInstanceProvider.cs	(revision 10538)
@@ -24,6 +24,6 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class GoldenFormatInstanceProvider : VRPInstanceProvider<CVRPTWData> {
-    protected override CVRPTWData LoadData(Stream stream) {
+  public abstract class GoldenFormatInstanceProvider : VRPInstanceProvider {
+    protected override VRPData LoadData(Stream stream) {
       return LoadInstance(new GoldenParser(stream));
     }
@@ -32,5 +32,5 @@
       get { return true; }
     }
-    public override CVRPTWData ImportData(string path) {
+    public override VRPData ImportData(string path) {
       return LoadInstance(new GoldenParser(path));
     }
Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/LiLimFormat/LiLimFormatInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/LiLimFormat/LiLimFormatInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/LiLimFormat/LiLimFormatInstanceProvider.cs	(revision 10538)
@@ -23,6 +23,6 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class LiLimFormatInstanceProvider : VRPInstanceProvider<PDPTWData> {
-    protected override PDPTWData LoadData(Stream stream) {
+  public abstract class LiLimFormatInstanceProvider : VRPInstanceProvider {
+    protected override VRPData LoadData(Stream stream) {
       return LoadInstance(new LiLimParser(stream));
     }
@@ -31,5 +31,5 @@
       get { return true; }
     }
-    public override PDPTWData ImportData(string path) {
+    public override VRPData ImportData(string path) {
       return LoadInstance(new LiLimParser(path));
     }
Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/SolomonFormat/SolomonFormatInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/SolomonFormat/SolomonFormatInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/SolomonFormat/SolomonFormatInstanceProvider.cs	(revision 10538)
@@ -23,6 +23,6 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class SolomonFormatInstanceProvider : VRPInstanceProvider<CVRPTWData> {
-    protected override CVRPTWData LoadData(Stream stream) {
+  public abstract class SolomonFormatInstanceProvider : VRPInstanceProvider {
+    protected override VRPData LoadData(Stream stream) {
       return LoadInstance(new SolomonParser(stream));
     }
@@ -31,5 +31,5 @@
       get { return true; }
     }
-    public override CVRPTWData ImportData(string path) {
+    public override VRPData ImportData(string path) {
       return LoadInstance(new SolomonParser(path));
     }
Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/TSPLibFormat/TSPLibFormatInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/TSPLibFormat/TSPLibFormatInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/TSPLibFormat/TSPLibFormatInstanceProvider.cs	(revision 10538)
@@ -25,6 +25,6 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class TSPLibFormatInstanceProvider : VRPInstanceProvider<CVRPData> {
-    protected override CVRPData LoadData(Stream stream) {
+  public abstract class TSPLibFormatInstanceProvider : VRPInstanceProvider {
+    protected override VRPData LoadData(Stream stream) {
       return LoadInstance(new TSPLIBParser(stream));
     }
@@ -33,5 +33,5 @@
       get { return true; }
     }
-    public override CVRPData ImportData(string path) {
+    public override VRPData ImportData(string path) {
       return LoadInstance(new TSPLIBParser(path));
     }
Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/TaillardFormat/TaillardFormatInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/TaillardFormat/TaillardFormatInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/TaillardFormat/TaillardFormatInstanceProvider.cs	(revision 10538)
@@ -23,6 +23,6 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class TaillardFormatInstanceProvider : VRPInstanceProvider<CVRPData> {
-    protected override CVRPData LoadData(Stream stream) {
+  public abstract class TaillardFormatInstanceProvider : VRPInstanceProvider {
+    protected override VRPData LoadData(Stream stream) {
       return LoadInstance(new TaillardParser(stream));
     }
@@ -31,5 +31,5 @@
       get { return true; }
     }
-    public override CVRPData ImportData(string path) {
+    public override VRPData ImportData(string path) {
       return LoadInstance(new TaillardParser(path));
     }
Index: branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/VRPInstanceProvider.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/VRPInstanceProvider.cs	(revision 10085)
+++ branches/DataPreprocessing/HeuristicLab.Problems.Instances.VehicleRouting/3.4/VRPInstanceProvider.cs	(revision 10538)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.Instances.VehicleRouting {
-  public abstract class VRPInstanceProvider<T> : ProblemInstanceProvider<T>, IVRPInstanceProvider where T : IVRPData {
+  public abstract class VRPInstanceProvider : ProblemInstanceProvider<VRPData>, IVRPInstanceProvider {
     protected abstract string FileName { get; }
 
@@ -52,5 +52,5 @@
     }
 
-    public override T LoadData(IDataDescriptor id) {
+    public override VRPData LoadData(IDataDescriptor id) {
       var descriptor = (VRPDataDescriptor)id;
       var instanceArchiveName = GetResourceName(FileName + @"\.zip");
@@ -76,5 +76,5 @@
     }
 
-    private static void LoadSolution(Stream stream, T instance) {
+    private static void LoadSolution(Stream stream, VRPData instance) {
       List<List<int>> routes = new List<List<int>>();
 
@@ -99,5 +99,5 @@
     }
 
-    public static void LoadSolution(string path, T instance) {
+    public static void LoadSolution(string path, VRPData instance) {
       using (FileStream stream = new FileStream(path, FileMode.Open)) {
         LoadSolution(stream, instance);
@@ -105,5 +105,5 @@
     }
 
-    protected abstract T LoadData(Stream stream);
+    protected abstract VRPData LoadData(Stream stream);
 
     public IVRPData Import(string vrpFile, string tourFile) {
@@ -116,5 +116,5 @@
 
     public void Export(IVRPData instance, string path) {
-      ExportData((T)instance, path);
+      ExportData((VRPData)instance, path);
     }
 
